<?php

function rore($user_admin_rore, $rore, $art_rore)
{
  
  $rore = strtoupper($rore);
  # Funktion zum überprüfen von Rollen / Rechten
  # Hat ein Benutzer die angegebene Rolle / das Recht wird true zurückgegeben
  
  $db = dbconnect();
  if ($art_rore == 'RE') {
    
    $result2_rore = $db->query("SELECT distinct 1
                                  FROM dep_rollen_user_zuord a, dep_rolle b, dep_rollen_rechte_zuord c
                                 WHERE a.roid=b.roid
                                   AND b.roid = c.roid
                                   AND a.imtuid = '$user_admin_rore'
                                   AND c.reid = '$rore'");
    $row2_rore    = $result2_rore->fetch_array();
    if ($row2_rore[0] == 1) {
      return true;
    } else {
      return false;
    }
  }
  
  if ($art_rore == 'RO') {
    
    #$result2_rore = $db->query( "SELECT 1
    #                               FROM prog_admin, dep_rollen_user_zuord, dep_rolle
    #                              WHERE admin.vaid = admin_rollen_user_zuord.vaid
    #                                AND admin_rolle.rid = admin_rollen_user_zuord.rid
    #                                AND upper(admin_rolle.bezeichnung) LIKE '$rore'
    #                                AND admin.user = '$user_admin_rore'" );
    #$row2_rore = $result2_rore->fetch_array();
    
    
    if ($row2_rore[0] == 1) {
      return true;
    } else {
      return false;
    }
  }
}

#if(rore('schwaral','Administrator','RO')){ 
#  echo "berechtigt";
#}else{
#  echo "nicht berechtigt";
#}
?>